Name:           perl-Net-XMPP2
Version:        0.14
Release:        1%{?dist}
Summary:        Implementation of the XMPP Protocol
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-XMPP2/
Source0:        http://www.cpan.org/authors/id/E/EL/ELMEX/Net-XMPP2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(AnyEvent)
BuildRequires:  perl(Authen::SASL)
BuildRequires:  perl(Digest::SHA1)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Net::DNS)
BuildRequires:  perl(Net::LibIDN)
BuildRequires:  perl(Net::SSLeay)
BuildRequires:  perl(Object::Event)
BuildRequires:  perl(XML::Parser::Expat)
BuildRequires:  perl(XML::Writer)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.14
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Net::XMPP2 - An implementation of the XMPP Protocol.

%prep
%setup -q -n Net-XMPP2-%{version}

# Filter requires
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(Net::XMPP2::Client)/d' |\
sed -e '/perl(Net::XMPP2::Connection)/d' |\
sed -e '/perl(Net::XMPP2::Error)/d' |\
sed -e '/perl(Net::XMPP2::Error::Exception)/d' |\
sed -e '/perl(Net::XMPP2::Error::IQ)/d' |\
sed -e '/perl(Net::XMPP2::Error::IQAuth)/d' |\
sed -e '/perl(Net::XMPP2::Error::MUC)/d' |\
sed -e '/perl(Net::XMPP2::Error::Message)/d' |\
sed -e '/perl(Net::XMPP2::Error::Parser)/d' |\
sed -e '/perl(Net::XMPP2::Error::Presence)/d' |\
sed -e '/perl(Net::XMPP2::Error::Register)/d' |\
sed -e '/perl(Net::XMPP2::Error::SASL)/d' |\
sed -e '/perl(Net::XMPP2::Error::Stanza)/d' |\
sed -e '/perl(Net::XMPP2::Error::Stream)/d' |\
sed -e '/perl(Net::XMPP2::Ext)/d' |\
sed -e '/perl(Net::XMPP2::Ext::DataForm)/d' |\
sed -e '/perl(Net::XMPP2::Ext::Disco::Info)/d' |\
sed -e '/perl(Net::XMPP2::Ext::Disco::Items)/d' |\
sed -e '/perl(Net::XMPP2::Ext::MUC::Message)/d' |\
sed -e '/perl(Net::XMPP2::Ext::MUC::Room)/d' |\
sed -e '/perl(Net::XMPP2::Ext::MUC::RoomInfo)/d' |\
sed -e '/perl(Net::XMPP2::Ext::MUC::User)/d' |\
sed -e '/perl(Net::XMPP2::Ext::OOB)/d' |\
sed -e '/perl(Net::XMPP2::Ext::RegisterForm)/d' |\
sed -e '/perl(Net::XMPP2::Extendable)/d' |\
sed -e '/perl(Net::XMPP2::IM::Account)/d' |\
sed -e '/perl(Net::XMPP2::IM::Connection)/d' |\
sed -e '/perl(Net::XMPP2::IM::Contact)/d' |\
sed -e '/perl(Net::XMPP2::IM::Delayed)/d' |\
sed -e '/perl(Net::XMPP2::IM::Message)/d' |\
sed -e '/perl(Net::XMPP2::IM::Presence)/d' |\
sed -e '/perl(Net::XMPP2::IM::Roster)/d' |\
sed -e '/perl(Net::XMPP2::Namespaces)/d' |\
sed -e '/perl(Net::XMPP2::Node)/d' |\
sed -e '/perl(Net::XMPP2::Parser)/d' |\
sed -e '/perl(Net::XMPP2::SimpleConnection)/d' |\
sed -e '/perl(Net::XMPP2::Util)/d' |\
sed -e '/perl(Net::XMPP2::Writer)/d'
EOF

%define __perl_requires %{_builddir}/Net-XMPP2-%{version}/%{name}-req
chmod +x %{__perl_requires}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTORS README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 26 2009 Allisson Azevedo <allisson@gmail.com> 0.14-1
- Initial rpm release.
